import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/unitInfo/` + url, ...arg)

/**
 * 单位信息表Api接口管理器
 *
 * @author hujinachun
 * @date  2024/04/17 14:51
 **/
export default {
	// 获取单位信息表分页
	unitInfoPage(data) {
		return request('page', data, 'get')
	},
	// 新增
	addUnitForm(data) {
		return request('add', data, 'post')
	},
	// 编辑
	editUnitForm(data) {
		return request('edit', data, 'post')
	},
	// 删除单位信息表
	unitInfoDelete(data) {
		return request('delete', data, 'post')
	},
	// 获取单位信息表详情
	unitInfoDetail(data) {
		return request('detail', data, 'get')
	},
	// 市级
	// getChildrenData(data) {
	// 	return request('getChildren', data, 'get')
	// },
	// 省级
	getAllChildrenData(data) {
		return request('getAllChildren', data, 'get')
	}
}
